sandcastle-ng

Scripts for the deployment of Sandcastle (GNU Taler)
Log | Files | Refs | README

commit 33df903f5542e10f335fefb17127f68cf13120a3
parent 9741edfe3017dd410f3039cd850dcf900cb35696
Author: Florian Dold <florian@dold.me>
Date:   Tue,  9 Jun 2026 13:52:14 +0200

support --no-cache

Diffstat:
Mhost/sandcastle-up | 2+-
Msandcastle-build | 24++++++++++++++++++------
2 files changed, 19 insertions(+), 7 deletions(-)

diff --git a/host/sandcastle-up b/host/sandcastle-up @@ -34,7 +34,7 @@ else git checkout tags/$tag fi -./sandcastle-build +./sandcastle-build "$@" # Unit (symlinked!) might have changed in git systemctl --user daemon-reload diff --git a/sandcastle-build b/sandcastle-build @@ -2,18 +2,30 @@ set -eu +no_cache= +while [[ $# -gt 0 ]]; do + case $1 in + --no-cache) no_cache=--no-cache ;; + *) + echo "Unknown option '$1'" + exit 1 + ;; + esac + shift +done + CONTAINERFILE="${1:-Dockerfile}" [ $# -gt 0 ] && shift -SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd ) +SCRIPT_DIR=$(cd -- "$(dirname -- "${BASH_SOURCE[0]}")" &>/dev/null && pwd) cd "$SCRIPT_DIR" -if [ ! -r "${CONTAINERFILE}" ] ; then - echo >&2 "Containerfile '${CONTAINERFILE}' not found or not readable." - exit 1 +if [ ! -r "${CONTAINERFILE}" ]; then + echo >&2 "Containerfile '${CONTAINERFILE}' not found or not readable." + exit 1 fi echo "Building with containerfile: ${CONTAINERFILE}" # The nofile ulimit is required to prevent fakeroot from becoming sluggish. -exec podman build --ulimit=nofile=2048:2048 -f "${CONTAINERFILE}" \ - --target taler-final -t taler-base-all "$@" . +exec podman build $no_cache --ulimit=nofile=2048:2048 -f "${CONTAINERFILE}" \ + --target taler-final -t taler-base-all "$@" .